# Vanity

[![Go Reference](https://pkg.go.dev/badge/go.jolheiser.com/vanity.svg)](https://pkg.go.dev/go.jolheiser.com/vanity)
[![Build Status](https://ci.jojodev.com/api/badges/jolheiser/vanity/status.svg)](https://ci.jojodev.com/jolheiser/vanity)

A simple web service to serve [vanity Go imports](https://golang.org/cmd/go/#hdr-Remote_import_paths). Feel free to check it out using [my instance](https://go.jolheiser.com/).

Vanity also supports [git-import](https://gitea.com/jolheiser/git-import).

## Docker

```sh
docker run \
    --env VANITY_DOMAIN=go.domain.tld \
    --env VANITY_TOKEN=<token> \
    --publish 80:7777 \
    --restart always
    jolheiser/vanity:latest
```

## API

Check out the [SDK](go-vanity).

## License

[MIT](LICENSE)